import request from "@/common/request.js";

export function user_list(data) {
  return request({
    url: "/user/getalluser",
    method: "get",
    params: data,
  });
}
export function user_eidt(data) {
  return request({
    url: "/save",
    method: "post",
    data,
  });
}
export function user_del(data) {
  return request({
    url: "/user/deleteuser",
    method: "DELETE",
    params: data,
  });
}
export function user_secret(data) {
  return request({
    url: "/user/updatepwd",
    method: "post",
    data,
  });
}
//出票
export function orderPage(data) {
  return request({
    url: "biz/order/orderPage",
    method: "get",
    params: data,
  });
}
//出票详情
export function orderDetail(data) {
  return request({
    url: "biz/order/orderDetail",
    method: "get",
    params: data,
  });
}
//改签
export function changeOrderPage(data) {
  return request({
    url: "biz/change/orderPage",
    method: "get",
    params: data,
  });
}
//改签详情
export function changeOrderDetail(data) {
  return request({
    url: "biz/change/orderDetail",
    method: "get",
    params: data,
  });
}
//退票
export function refundOrderPage(data) {
  return request({
    url: "biz/refund/orderPage",
    method: "get",
    params: data,
  });
}

//退票详情
export function refundOrderDetail(data) {
  return request({
    url: "biz/refund/orderDetail",
    method: "get",
    params: data,
  });
}

/* ip地址 */
//列表
export function proxyList(data) {
  return request({
    url: "biz/proxy/list",
    method: "get",
    params: data,
  });
}
//重新获取所有ip
export function getIPAgain(data) {
  return request({
    url: "biz/proxy/getIPAgain",
    method: "get",
    params: data,
  });
}
//更新ip
export function changeIp(data) {
  return request({
    url: "biz/proxy/changeIp",
    method: "get",
    params: data,
  });
}
//改签回调
export function changeSetMsgAgain(data) {
  return request({
    url: "biz/change/setMsgAgain",
    method: "get",
    params: data,
  });
}

//出票回调
export function orderSetMsgAgain(data) {
  return request({
    url: "biz/order/setMsgAgain",
    method: "get",
    params: data,
  });
}
//退票回调
export function refundSetMsgAgain(data) {
  return request({
    url: "biz/refund/setMsgAgain",
    method: "get",
    params: data,
  });
}