package com.flightoa.model;

public class FlightOrderSegment implements Comparable<FlightOrderSegment> {
    public  int id;
    public String orderId;
    public int sequence;
    public String sequenceDesc;
    public String flightNo;
    public String flightNoGongxiang;
    public String flightClass;
    public String flightClassDesc;
    public String subClass;
    public String subClassDesc;
    public String depCode;
    public String arrCode;
    public String depDesc;
    public String arrDesc;
    public String takeOffTime;
    public String arrivalTime;
    public String createTime;
    public String updateTime;

    public FlightOrderSegment(){

    }

    public FlightOrderSegment(FlightOrderSegment flightOrderSegment){
        this.id=flightOrderSegment.id;
        this.orderId=flightOrderSegment.orderId;
        this.sequence=flightOrderSegment.sequence;
        this.sequenceDesc=flightOrderSegment.sequenceDesc;
        this.flightNo=flightOrderSegment.flightNo;
        this.flightNoGongxiang=flightOrderSegment.flightNoGongxiang;
        this.flightClass=flightOrderSegment.flightClass;
        this.flightClassDesc=flightOrderSegment.flightClassDesc;
        this.subClass=flightOrderSegment.subClass;
        this.subClassDesc=flightOrderSegment.subClassDesc;
        this.depCode=flightOrderSegment.depCode;
        this.arrCode=flightOrderSegment.arrCode;
        this.depDesc=flightOrderSegment.depDesc;
        this.arrDesc=flightOrderSegment.arrDesc;
        this.takeOffTime=flightOrderSegment.takeOffTime;
        this.arrivalTime=flightOrderSegment.arrivalTime;
        this.createTime=flightOrderSegment.createTime;
        this.updateTime=flightOrderSegment.updateTime;

    }

    @Override
    public int compareTo(FlightOrderSegment o) {
        String takeOffTime1 = this.takeOffTime;
        String takeOffTime2 = o.takeOffTime;
        return takeOffTime1.compareTo(takeOffTime2);
    }
}
