import request from "@/common/request.js";

export function login(data) {
  // 登录
  return request({
    url: "users/login",
    method: "post",
    data,
  });
}

export function loginout(params) {
  // 退出登录
  return request({
    url: "users/logout",
    method: "get",
    params,
  });
}
//刷新203状态token
export function refresh(data) {
  // 退出登录
  return request({
    url: "token/refresh",
    method: "post",
    data,
  });
}
//获取用户权限
export function getAuth() {
  return request({
    url: "users/getAuth",
    method: "post",
  });
}
