package com.flightoa.vo;

import com.flightoa.model.FlightOrder;
import com.flightoa.model.FlightOrderOptLog;
import com.flightoa.model.FlightOrderPassenger;
import com.flightoa.model.FlightOrderSegment;

import java.util.List;

public class FlightOrderVo {

    public int id;
    public String orderId;
    public String orderSerialId;
    public String orderStatus;
    public String orderStatusDesc;
    public String flightNo;
    public String flightNoGongxiang;
    public String flightType;
    public String flightWay;
    public String orderDesc;
    public String orderCreateTime;
    public String pnr;
    public String bigPnr;
    public String cpnr;
    public String cbigPnr;
    public float allPrice;
    public float allFaceprice;
    public float allSaleprice;
    public int allTaxprice;
    public String policyId;
    public String policeType;
    public String policeTypeDesc;
    public String policyRemark;
    public String policyCodeextend;
    public float benefit;
    public String contractName;
    public String contractMobiel;
    public String passengers;
    public String takeoffTime;
    public String arrivalTime;
    public String depPort;
    public String depPortDesc;
    public String arrPort;
    public String arrPortDesc;
    public String operator;
    public String realOperator;
    public int lockStatus;
    public String aircompanyPayOrderNo;
    public String aircompanyOrderNo;
    public float aircompanyOrderPrice;
    public String aircompanyOrderPaytype;
    public String aircompanyOrderIphone;
    public String aircompanyAccountid;
    public String aircompanyAccount;
    public String aircompanyPassword;
    public float aircompanyActualAmount;
    public float orderProfit;
    public String createTime;
    public String updateTime;
    public String ticketedTime;
    public String orderSource;
    public String payUrl;
    public String discountCode;
    public int agentId;
    public String agentName;
    public String payType;
    public String payUuid;
    public String payIphon;
    public String payAcccountNo;
    public String payAccountPwd;
    public String lastTicketTime;
    public int passengerCount;
    public int autoType;
    public String bussType;
    public String autoCheckType;
    public String remark;
    public String plantformOrderId;
    public int flightStatus;
    public String flightStatusDesc;
    public String relateOrderIds;
    //航班
    public List<FlightOrderSegment> flightOrderSegmentList;
    //乘机人
    public List<FlightOrderPassenger> flightOrderPassengerList;
    //操作日志
    public List<FlightOrderOptLog> flightOrderOptLog;

    public FlightOrderVo(){

    }

    /**
     * 构造函数
     * @param flightOrder
     * @param flightOrderSegmentList
     * @param flightOrderPassengerList
     */
    public FlightOrderVo(FlightOrder flightOrder, List<FlightOrderSegment> flightOrderSegmentList,List<FlightOrderPassenger> flightOrderPassengerList,List<FlightOrderOptLog> flightOrderOptLog){
        this.id = flightOrder.id;
        this.orderId=flightOrder.orderId;
        this.orderSerialId=flightOrder.orderSerialId;
        this.orderStatus=flightOrder.orderStatus;
        this.orderStatusDesc=flightOrder.orderStatusDesc;
        this.flightNo=flightOrder.flightNo;
        this.flightNoGongxiang=flightOrder.flightNoGongxiang;
        this.flightType=flightOrder.flightType;
        this.flightWay=flightOrder.flightWay;
        this.orderDesc=flightOrder.orderDesc;
        this.orderCreateTime=flightOrder.orderCreateTime;
        this.pnr=flightOrder.pnr;
        this.bigPnr=flightOrder.bigPnr;
        this.cpnr=flightOrder.cpnr;
        this.cbigPnr=flightOrder.cbigPnr;
        this.allPrice=flightOrder.allPrice;
        this.allFaceprice=flightOrder.allFaceprice;
        this.allSaleprice=flightOrder.allSaleprice;
        this.allTaxprice=flightOrder.allTaxprice;
        this.policyId=flightOrder.policyId;
        this.policeType=flightOrder.policeType;
        this.policeTypeDesc=flightOrder.policeTypeDesc;
        this.policyRemark=flightOrder.policyRemark;
        this.policyCodeextend=flightOrder.policyCodeextend;
        this.benefit=flightOrder.benefit;
        this.contractName=flightOrder.contractName;
        this.contractMobiel=flightOrder.contractMobiel;
        this.passengers=flightOrder.passengers;
        this.takeoffTime=flightOrder.takeoffTime;
        this.arrivalTime=flightOrder.arrivalTime;
        this.depPort=flightOrder.depPort;
        this.depPortDesc=flightOrder.depPortDesc;
        this.arrPort=flightOrder.arrPort;
        this.arrPortDesc=flightOrder.arrPortDesc;
        this.operator=flightOrder.operator;
        this.realOperator=flightOrder.realOperator;
        this.lockStatus=flightOrder.lockStatus;
        this.aircompanyPayOrderNo=flightOrder.aircompanyPayOrderNo;
        this.aircompanyOrderNo=flightOrder.aircompanyOrderNo;
        this.aircompanyOrderPrice=flightOrder.aircompanyOrderPrice;
        this.aircompanyOrderPaytype=flightOrder.aircompanyOrderPaytype;
        this.aircompanyOrderIphone=flightOrder.aircompanyOrderIphone;
        this.aircompanyAccountid=flightOrder.aircompanyAccountid;
        this.aircompanyAccount=flightOrder.aircompanyAccount;
        this.aircompanyPassword=flightOrder.aircompanyPassword;
        this.aircompanyActualAmount=flightOrder.aircompanyActualAmount;
        this.orderProfit=flightOrder.orderProfit;
        this.createTime=flightOrder.createTime;
        this.updateTime=flightOrder.updateTime;
        this.ticketedTime=flightOrder.ticketedTime;
        this.orderSource=flightOrder.orderSource;
        this.payUrl=flightOrder.payUrl;
        this.discountCode=flightOrder.discountCode;
        this.agentId=flightOrder.agentId;
        this.agentName=flightOrder.agentName;
        this.payType=flightOrder.payType;
        this.payUuid=flightOrder.payUuid;
        this.payIphon=flightOrder.payIphon;
        this.payAcccountNo=flightOrder.payAcccountNo;
        this.payAccountPwd=flightOrder.payAccountPwd;
        this.lastTicketTime=flightOrder.lastTicketTime;
        this.passengerCount=flightOrder.passengerCount;
        this.autoType=flightOrder.autoType;
        this.bussType=flightOrder.bussType;
        this.autoCheckType=flightOrder.autoCheckType;
        this.remark=flightOrder.remark;
        this.plantformOrderId=flightOrder.plantformOrderId;
        this.flightStatus=flightOrder.flightStatus;
        this.flightStatusDesc=flightOrder.flightStatusDesc;
        this.flightOrderPassengerList =flightOrderPassengerList;
        this.flightOrderSegmentList = flightOrderSegmentList;
        this.relateOrderIds = flightOrder.relateOrderIds;
        this.flightOrderOptLog = flightOrderOptLog;


    }

    public FlightOrderVo(FlightOrder flightOrder){
        this.id = flightOrder.id;
        this.orderId=flightOrder.orderId;
        this.orderSerialId=flightOrder.orderSerialId;
        this.orderStatus=flightOrder.orderStatus;
        this.orderStatusDesc=flightOrder.orderStatusDesc;
        this.flightNo=flightOrder.flightNo;
        this.flightNoGongxiang=flightOrder.flightNoGongxiang;
        this.flightType=flightOrder.flightType;
        this.flightWay=flightOrder.flightWay;
        this.orderDesc=flightOrder.orderDesc;
        this.orderCreateTime=flightOrder.orderCreateTime;
        this.pnr=flightOrder.pnr;
        this.bigPnr=flightOrder.bigPnr;
        this.cpnr=flightOrder.cpnr;
        this.cbigPnr=flightOrder.cbigPnr;
        this.allPrice=flightOrder.allPrice;
        this.allFaceprice=flightOrder.allFaceprice;
        this.allSaleprice=flightOrder.allSaleprice;
        this.allTaxprice=flightOrder.allTaxprice;
        this.policyId=flightOrder.policyId;
        this.policeType=flightOrder.policeType;
        this.policeTypeDesc=flightOrder.policeTypeDesc;
        this.policyRemark=flightOrder.policyRemark;
        this.policyCodeextend=flightOrder.policyCodeextend;
        this.benefit=flightOrder.benefit;
        this.contractName=flightOrder.contractName;
        this.contractMobiel=flightOrder.contractMobiel;
        this.passengers=flightOrder.passengers;
        this.takeoffTime=flightOrder.takeoffTime;
        this.arrivalTime=flightOrder.arrivalTime;
        this.depPort=flightOrder.depPort;
        this.depPortDesc=flightOrder.depPortDesc;
        this.arrPort=flightOrder.arrPort;
        this.arrPortDesc=flightOrder.arrPortDesc;
        this.operator=flightOrder.operator;
        this.realOperator=flightOrder.realOperator;
        this.lockStatus=flightOrder.lockStatus;
        this.aircompanyPayOrderNo=flightOrder.aircompanyPayOrderNo;
        this.aircompanyOrderNo=flightOrder.aircompanyOrderNo;
        this.aircompanyOrderPrice=flightOrder.aircompanyOrderPrice;
        this.aircompanyOrderPaytype=flightOrder.aircompanyOrderPaytype;
        this.aircompanyOrderIphone=flightOrder.aircompanyOrderIphone;
        this.aircompanyAccountid=flightOrder.aircompanyAccountid;
        this.aircompanyAccount=flightOrder.aircompanyAccount;
        this.aircompanyPassword=flightOrder.aircompanyPassword;
        this.aircompanyActualAmount=flightOrder.aircompanyActualAmount;
        this.orderProfit=flightOrder.orderProfit;
        this.createTime=flightOrder.createTime;
        this.updateTime=flightOrder.updateTime;
        this.ticketedTime=flightOrder.ticketedTime;
        this.orderSource=flightOrder.orderSource;
        this.payUrl=flightOrder.payUrl;
        this.discountCode=flightOrder.discountCode;
        this.agentId=flightOrder.agentId;
        this.agentName=flightOrder.agentName;
        this.payType=flightOrder.payType;
        this.payUuid=flightOrder.payUuid;
        this.payIphon=flightOrder.payIphon;
        this.payAcccountNo=flightOrder.payAcccountNo;
        this.payAccountPwd=flightOrder.payAccountPwd;
        this.lastTicketTime=flightOrder.lastTicketTime;
        this.passengerCount=flightOrder.passengerCount;
        this.autoType=flightOrder.autoType;
        this.bussType=flightOrder.bussType;
        this.autoCheckType=flightOrder.autoCheckType;
        this.remark=flightOrder.remark;
        this.plantformOrderId=flightOrder.plantformOrderId;
        this.flightStatus=flightOrder.flightStatus;
        this.flightStatusDesc=flightOrder.flightStatusDesc;

    }

    //给SqlProvider 用
    public String selectFlightOrderVo(String orderId){
        StringBuilder sb = new StringBuilder();
        sb.append("select fo.*,fop.*,fos.* from flight_order fo LEFT JOIN flight_order_passenger fop  ON fo.order_id = fop.order_id " +
                " LEFT JOIN flight_order_segments fos ON fo.order_id = fos.order_id where fo.order_id='");
        sb.append(orderId).append("'");

        return sb.toString();



    }
}
